document.getElementById('calculateBtn').addEventListener('click', function() {
    const stipend = parseFloat(document.getElementById('stipend').value) || 0;
    const yearsLeft = parseFloat(document.getElementById('yearsLeft').value) || 0;
    const jobMarket = parseFloat(document.getElementById('jobMarket').value) || 0;
    const subscribers = parseFloat(document.getElementById('subscribers').value) || 0;
    const price = parseFloat(document.getElementById('price').value) || 0;
    const following = parseFloat(document.getElementById('following').value) || 0;

    // Calculate potential earnings
    const academicEarnings = stipend * yearsLeft + (jobMarket * 10000); // Simple projection
    const onlyFansEarnings = subscribers * price * 12 * 5 * 0.8; // 5-year projection with 80% platform cut

    // Display results
    document.getElementById('earningsMetric').textContent = 
        `Academic: $${academicEarnings.toLocaleString()}\nOnlyFans: $${onlyFansEarnings.toLocaleString()}`;

    // Generate recommendation
    let recommendation = '';
    if (onlyFansEarnings > academicEarnings * 2) {
        recommendation = 'The numbers suggest OnlyFans could be more lucrative, but consider non-financial factors.';
    } else if (academicEarnings > onlyFansEarnings) {
        recommendation = 'Financially, completing your PhD appears to be the better long-term investment.';
    } else {
        recommendation = 'The financial differences are not significant enough to be the deciding factor. Consider your personal goals and values.';
    }

    document.getElementById('recommendationText').textContent = recommendation;
});
